Bug 594953 - [abrt] crash detected in firefox-3.5.4-1.fc12
Summary: [abrt] crash detected in firefox-3.5.4-1.fc12
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:2f4ccd2bcf4de2ab8afd3c96243...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-22 07:52 UTC by pinpinokio
Modified: 2018-04-11 16:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:28:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.41 KB, text/plain)
2010-05-22 07:52 UTC, pinpinokio
no flags Details

Description pinpinokio 2010-05-22 07:52:37 UTC
abrt detected a crash.

Comment: Clicked on Add Bookmark
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.5.4/firefox
component: firefox
executable: /usr/lib64/firefox-3.5.4/firefox
kernel: 2.6.31.5-127.fc12.x86_64
package: firefox-3.5.4-1.fc12
rating: 2
reason: Process was terminated by signal 11

Comment 1 pinpinokio 2010-05-22 07:52:39 UTC
Created attachment 415834 [details]
File: backtrace

Comment 2 Chris Campbell 2010-05-22 14:08:24 UTC
#2  <signal handler called>
No symbol table info available.
#3  0x00000034c5a0c0b4 in sqlite3BtreeGetMeta (p=<value optimized out>, 
    idx=<value optimized out>, pMeta=0x7fff9b0717f0) at sqlite3.c:43941
        pBt = <value optimized out>
#4  0x00000034c5a651b7 in sqlite3VdbeExec (p=0x7fa9e39ce9f8)
    at sqlite3.c:53728
        pc = <value optimized out>
        pOp = 0x7fa9e3ef3cd0
        rc = 0
        db = 0x7fa9e3d46408
        encoding = <value optimized out>
        pIn1 = <value optimized out>
        pIn2 = 0x0
        pIn3 = 0x0
        pOut = 0x7fa9e3ef4808
        iCompare = <value optimized out>
        aPermute = <value optimized out>
        nProgressOps = 0
        u = {aa = {pcDest = -472321624}, ab = {p1 = -472321624, p2 = 32681, 
            n = -472321624, pVar = 0x7fa9e3ef3d48}, ac = {zMalloc = 
    0x7fa9e3d8f1a8 "\bd\324\343\251\177", n = -472321624, p1 = 32681, p2 = 
    -470860472}, ad = {pMem = 0x7fa9e3d8f1a8, i = -472321624}, ae = {nByte = 
    140367648846248}, af = {flags = -472321624, iA = 140367648846248, iB = 
    140367650307400, rA = 0, rB = 0}, ag = {i = -472321624, pArg = 
    0x7fa9e3d8f1a8, ctx = {pFunc = 0x7fa9e3ef3d48, pVdbeFunc = 0x0, s = {u = {
                  i = 0, nZero = 0, pDef = 0x0, pRowSet = 0x0}, r = 
    6.9350564547412598e-310, db = 0x7fa9c37378a8, z = 0x7fa9c37378d0 "", n = 
    0, flags = 0, type = 0 '\000', enc = 0 '\000', xDel = 0, zMalloc = 
    0x101000000007 <Address 0x101000000007 out of bounds>}, pMem = 0x0, 
              isError = 0, pColl = 0x40decb}, apVal = 0x42, n = 28}, ah = {
            a = 140367648846248, b = 140367648846248}, ai = {flags = 
    -472321624, res = 32681, affinity = -88 '\250'}, aj = {n = -472321624, 
            i = 32681, p1 = -472321624, p2 = 32681, pKeyInfo = 
    0x7fa9e3ef3d48, idx = 0, pColl = 0x0, bRev = -1015842568}, ak = {v1 = 
    -472321624, v2 = 32681}, al = {c = -472321624}, am = {payloadSize = 
    3822645672, payloadSize64 = 140367648846248, p1 = -470860472, p2 = 32681, 
            pC = 0x0, zRec = 0x0, pCrsr = 0x7fa9c37378f8, aType = 
    0x7fa9c37378a8, aOffset = 0x7fa9c37378d0, nField = 0, len = 0, i = 0, 
            zData = 0x101000000007 <Address 0x101000000007 out of bounds>, 
            pDest = 0x0, sMem = {u = {i = 0, nZero = 0, pDef = 0x0, pRowSet = 
    0x0}, r = 2.1004405487250792e-317, db = 0x42, z = 
    0x1c <Address 0x1c out of bounds>, n = 7, flags = 0, type = 0 '\000', 
              enc = 0 '\000', xDel = 0x3, zMalloc = 
    0x7fa9c3738008 "\300\200s\177"}, zIdx = 
    0x7fa900000002 <Address 0x7fa900000002 out of bounds>, zEndHdr = 
    0x7fa9e40679c8 "", offset = 3315733229, offset64 = 140367669104568, 
            szHdr = -469637056, avail = 32681}, an = {zAffinity = 
    0x7fa9e3d8f1a8 "\bd\324\343\251\177", pData0 = 0x7fa9e3d8f1a8, pLast = 
    0x7fa9e3ef3d48, pRec = 0x0}, ao = {zNewRecord = 
    0x7fa9e3d8f1a8 "\bd\324\343\251\177", pRec = 0x7fa9e3d8f1a8, nData = 
    140367650307400, nHdr = 0, nByte = 0, nZero = -1015842568, nVarint = 
    32681, serial_type = 3279124648, pData0 = 0x7fa9c37378d0, pLast = 0x0, 
            nField = 0, zAffinity = 
    0x101000000007 <Address 0x101000000007 out of bounds>, file_format = 0, 
            i = 0, len = 0}, ap = {nEntry = 140367648846248, pCrsr = 
    0x7fa9e3d8f1a8}, aq = {pBt = 0x7fa9e3d8f1a8}, ar = {p1 = -472321624, 
            zName = 0x7fa9e3d8f1a8 "\bd\324\343\251\177", nName = -470860472, 
            pNew = 0x0, pSavepoint = 0x0, pTmp = 0x7fa9c37378f8, iSavepoint = 
    -1015842648, ii = 32681}, as = {desiredAutoCommit = -472321624, 
            iRollback = 32681, turnOnAC = -472321624}, at = {pBt = 
    0x7fa9e3d8f1a8}, au = {iMeta = -472321624, iDb = 32681, iCookie = 
    -472321624}, av = {pDb = 0x7fa9e3d8f1a8}, aw = {iMeta = -472321624, pBt = 
    0x7fa9e3d8f1a8}, ax = {nField = -472321624, pKeyInfo = 0x7fa9e3d8f1a8, 
            p2 = -470860472, iDb = 32681, wrFlag = 0, pX = 0x0, pCur = 
    0x7fa9c37378f8, pDb = 0x7fa9c37378a8}, ay = {pCx = 0x7fa9e3d8f1a8}, az = {
            pCx = 0x7fa9e3d8f1a8}, ba = {res = -472321624, oc = 32681, pC = 
    0x7fa9e3d8f1a8, r = {pKeyInfo = 0x7fa9e3ef3d48, nField = 0, flags = 0, 
              rowid = 0, aMem = 0x7fa9c37378f8}, nField = -1015842648, iKey = 
    140367105325264}, bb = {pC = 0x7fa9e3d8f1a8}, bc = {alreadyExists = 
    -472321624, pC = 0x7fa9e3d8f1a8, res = -470860472, pIdxKey = 0x0, 
            aTempRec = 
    "\000\000\000\000\000\000\000\000\370xs\177\000\000\250xs\177\000\000\320xs\177", '\000' <repeats 18 times>, "\a\000\000\000\020\020", '\000' <repeats 18 times>"\313, \336@\000\000\000\000\000B\000\000\000\000\000\000\000\034\000\000\000\000\000\000\000\a\000\000\000\000\000\000\000\003\000\000\000\000\000\000\000\b\200s\177\000\000\002\000\000\000\251\177\000\000\310y\006\344\251\177\000\000\355\022\242\305\064\000\000\000\270\017\016\345\251\177\000\000@\350\001\344\251\177\000\000\002\000\000\000\251\177\000\000\bd\324\343\251\177\000\000\000\000\000\000\000\000\000\000W\000\000\000\000\000\000\000W\000\000\000\000\000\000\000\300\351\300\177"}, bd = {ii = 61864, pCx = 
    0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3ef3d48, nField = 0, aMem = 0x0, r = {
              pKeyInfo = 0x7fa9c37378f8, nField = 30888, flags = 50035, 
              rowid = 140367105325264, aMem = 0x0}, R = 0}, be = {pC = 
    0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, res = -470860472, iKey = 0}, bf = 
    {v = 140367648846248, pC = 0x7fa9e3d8f1a8, res = -470860472, cnt = 32681, 
            pMem = 0x0}, bg = {pData = 0x7fa9e3d8f1a8, pKey = 0x7fa9e3d8f1a8, 
            iKey = 140367650307400, pC = 0x0, nZero = 0, seekResult = 0, 
            zDb = 0x7fa9c37378f8 "\250\361\330\343\251\177", zTbl = 
    0x7fa9c37378a8 "", op = -1015842608}, bh = {iKey = 140367648846248, pC = 
    0x7fa9e3d8f1a8}, bi = {pC = 0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, n = 
    3824106824, n64 = 0}, bj = {pC = 0x7fa9e3d8f1a8, v = 140367648846248, 
            pVtab = 0x7fa9e3ef3d48, pModule = 0x0}, bk = {pC = 
    0x7fa9e3d8f1a8}, bl = {pC = 0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, res = 
    -470860472}, bm = {pC = 0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, res = 
    -470860472}, bn = {pC = 0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, res = 
    -470860472}, bo = {pC = 0x7fa9e3d8f1a8, pCrsr = 0x7fa9e3d8f1a8, nKey = 
    -470860472, zKey = 0x0}, bp = {pC = 0x7fa9e3d8f1a8, pCrsr = 
    0x7fa9e3d8f1a8, res = -470860472, r = {pKeyInfo = 0x0, nField = 0, 
              flags = 0, rowid = 140367105325304, aMem = 0x7fa9c37378a8}}, 
          bq = {pCrsr = 0x7fa9e3d8f1a8, pC = 0x7fa9e3d8f1a8, rowid = 
    140367650307400}, br = {pC = 0x7fa9e3d8f1a8, res = -472321624, r = {
              pKeyInfo = 0x7fa9e3ef3d48, nField = 0, flags = 0, rowid = 0, 
              aMem = 0x7fa9c37378f8}}, bs = {iMoved = -472321624, iCnt = 
    32681, pVdbe = 0x7fa9e3d8f1a8, iDb = -470860472}, bt = {nChange = 
    -472321624}, bu = {pgno = -472321624, flags = 32681, pDb = 
    0x7fa9e3d8f1a8}, bv = {iDb = -472321624, zMaster = 
    0x7fa9e3d8f1a8 "\bd\324\343\251\177", zSql = 0x7fa9e3ef3d48 "W", 
            initData = {db = 0x0, iDb = 0, pzErrMsg = 0x7fa9c37378f8, rc = 
    -1015842648}}, bw = {nRoot = -472321624, aRoot = 0x7fa9e3d8f1a8, j = 
    -470860472, nErr = 32681, z = 0x0, pnErr = 0x0}, bx = {pIdx = 
    0x7fa9e3d8f1a8, pVal = 0x7fa9e3d8f1a8}, by = {pIdx = 0x7fa9e3d8f1a8, 
            val = 140367648846248}, bz = {iSet = -472321624, exists = 32681}, 
          ca = {i = -472321624, pContext = 0x7fa9e3d8f1a8}, cb = {pContext = 
    0x7fa9e3d8f1a8}, cc = {n = -472321624, i = 32681, pMem = 0x7fa9e3d8f1a8, 
            pRec = 0x7fa9e3ef3d48, ctx = {pFunc = 0x0, pVdbeFunc = 0x0, s = {
                u = {i = 140367105325304, nZero = -1015842568, pDef = 
    0x7fa9c37378f8, pRowSet = 0x7fa9c37378f8}, r = 6.9350564547373073e-310, 
                db = 0x7fa9c37378d0, z = 0x0, n = 0, flags = 0, type = 
    0 '\000', enc = 0 '\000', xDel = 0x101000000007, zMalloc = 0x0}, pMem = 
    0x0, isError = 4251339, pColl = 0x42}, apVal = 0x1c}, cd = {pMem = 
    0x7fa9e3d8f1a8}, ce = {pBt = 0x7fa9e3d8f1a8}, cf = {pVTab = 
    0x7fa9e3d8f1a8}, cg = {pCur = 0x7fa9e3d8f1a8, pVtabCursor = 
    0x7fa9e3d8f1a8, pVtab = 0x7fa9e3ef3d48, pModule = 0x0}, ch = {nArg = 
    -472321624, iQuery = 32681, pModule = 0x7fa9e3d8f1a8, pQuery = 
    0x7fa9e3ef3d48, pArgc = 0x0, pVtabCursor = 0x0, pVtab = 0x7fa9c37378f8, 
            pCur = 0x7fa9c37378a8, res = -1015842608, i = 32681, apArg = 
    0x0}, ci = {pVtab = 0x7fa9e3d8f1a8, pModule = 0x7fa9e3d8f1a8, pDest = 
    0x7fa9e3ef3d48, sContext = {pFunc = 0x0, pVdbeFunc = 0x0, s = {u = {i = 
    140367105325304, nZero = -1015842568, pDef = 0x7fa9c37378f8, pRowSet = 
    0x7fa9c37378f8}, r = 6.9350564547373073e-310, db = 0x7fa9c37378d0, z = 
    0x0, n = 0, flags = 0, type = 0 '\000', enc = 0 '\000', xDel = 
    0x101000000007, zMalloc = 0x0}, pMem = 0x0, isError = 4251339, pColl = 
    0x42}}, cj = {pVtab = 0x7fa9e3d8f1a8, pModule = 0x7fa9e3d8f1a8, res = 
    -470860472, pCur = 0x0}, ck = {pVtab = 0x7fa9e3d8f1a8, pName = 
    0x7fa9e3d8f1a8}, cl = {pVtab = 0x7fa9e3d8f1a8, pModule = 0x7fa9e3d8f1a8, 
            nArg = -470860472, i = 32681, rowid = 0, apArg = 0x0, pX = 
    0x7fa9c37378f8}, cm = {p1 = -472321624, nPage = 32681, pPager = 
    0x7fa9e3d8f1a8}, cn = {zTrace = 0x7fa9e3d8f1a8 "\bd\324\343\251\177"}}
#5  0x00000034c5a54b58 in sqlite3Step (p=<value optimized out>)
    at sqlite3.c:49503
        db = 0x7fa9e3d46408
        rc = <value optimized out>
#6  sqlite3_step (p=<value optimized out>) at sqlite3.c:49562
        cnt = 0
        db = 0x7fa9e3d46408
        rc = -1694032960



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Matěj Cepl 2010-05-29 21:39:12 UTC
Please provide us versions of sqlite, firefox, and xulrunner:

rpm -q sqlite firefox xulrunner

It looks like it has been fixed in sqlite (see bug 525477).

Thank you

Comment 4 Chris Campbell 2010-06-21 13:10:35 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Bug Zapper 2010-11-03 14:25:16 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2010-12-03 14:28:26 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.